#ifndef __CSIO51_H
#define __CSIO51_H

// prototypes
void PrtDec(int n);
void PrtHex(unsigned int u);
void putc(char c);
void puts(char *sz);
void cputs(char *sz);
char getc(void);
char peekc(void);
void csprintf(char *szOut, char *sz);
void cprintf(char *sz);
void sprintf(char *szOut, char *sz);
void printf(char *sz);
void InitSerialPort0(int nMode);
unsigned int GetCodeWord(unsigned int uAddress);

#define _9600_11_059_TIMER1  0
#define _9600_24_TIMER1      1
#define _9600_12_80535BRG    2
#define _9600_10_C515BRG     3

// global definition of serial mode
#define DEF_SIO_MODE         _9600_11_059_TIMER1

// macros to access the function argument stack in assembly
#define DPTRAST     mov   a, BPL   \
                    add   a, #0xFA \
                    mov   dpl, a   \
                    mov   a, BPH   \
                    addc  a, #0xFF \
                    mov   dph, a    

#define DECDPTR     xch   a, dpl   \
                    jnz   $+4      \
                    dec   dph      \
                    dec   a        \
                    xch   a, dpl


#endif
